# $Revision: 1.37 $, $Date: 2007-09-17 14:13:02 $
#
# Conditional build:
%bcond_with	single	# build also single threaded library (deprecated)
#
Summary:	Qt plugin for SSL communications
Summary(pl.UTF-8):	Rozszerzenie Qt do komunikacji po SSL
Name:		qt-plugin-ssl
Version:	2.0
Release:	5
License:	GPL
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/psi/qssl-%{version}.tar.bz2
# Source0-md5:	2593eb1e979070edcd07e10442f117dc
Patch0:		qt-plugin-ssl-gcc42.patch
URL:		http://psi.affinix.com/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	qmake
BuildRequires:	qt-devel >= 6:3.0.5
%{?with_single:BuildRequires:	qt-st-devel >= 3.0.5}
Requires:	qt >= 3.0.5
%{?with_single:Requires:	qt-st >= 3.0.5}
Obsoletes:	psi-qssl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	%{_prefix}/include/qt

%description
Qt plugin for SSL communications.

%description -l pl.UTF-8
Rozszerzenie Qt do komunikacji po SSL.

%package devel
Summary:	Qt plugin for SSL communications - headers
Summary(pl.UTF-8):	Rozszerzenie Qt do komunikacji po SSL - pliki nagłówkowe
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel >= 0.9.7c
Requires:	qt-devel >= 6:3.0.5

%description devel
Qt plugin for SSL communications - headers.

%description devel -l pl.UTF-8
Rozszerzenie Qt do komunikacji po SSL - pliki nagłówkowe.

%prep
%setup -q -n qssl-%{version}
%patch0 -p1

%build
export QTDIR=%{_prefix}
export QMAKESPEC=%{_datadir}/qt/mkspecs/linux-g++

qmake qssl.pro

sed -e "s/\,libqssl\.so\.1/\,libqssl\.so/g" Makefile >> Makefile.tmp
mv -f Makefile.tmp Makefile

%{__make} \
	CXX="%{__cxx}" \
	LINK="%{__cxx}" \
	CXXFLAGS="-pipe -Wall -W %{rpmcflags} -fPIC -fno-rtti -fno-exceptions \
	-D_REENTRANT %{!?debug:-DQT_NO_DEBUG} -DQT_THREAD_SUPPORT -DQT_PLUGIN" \
	LDFLAGS="%{rpmldflags} -shared"

mkdir mt
mv libqssl.so mt
%{__make} clean

%if %{with single}
sed -e "s/thread/single/g" qssl.pro >> ./qssl.pro.tmp
mv -f qssl.pro.tmp qssl.pro

qmake qssl.pro

sed -e "s/\,libqssl\.so\.1/\,libqssl\.so/g" Makefile >> Makefile.tmp
mv -f Makefile.tmp Makefile

%{__make} \
	CXX="%{__cxx}" \
	LINK="%{__cxx}" \
	CXXFLAGS=" -pipe -Wall -W %{rpmcflags} -fPIC -fno-rtti -fno-exceptions \
	-D_REENTRANT %{!?debug:-DQT_NO_DEBUG} -DQT_PLUGIN" \
	LFLAGS="%{rpmldflags} -shared"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT%{_libdir}/qt/plugins-mt/network \
	%{?with_single:$RPM_BUILD_ROOT%{_libdir}/qt/plugins-st/network} \
	$RPM_BUILD_ROOT%{_includedir}

install mt/libqssl.so $RPM_BUILD_ROOT%{_libdir}/qt/plugins-mt/network

%if %{with single}
install libqssl.so $RPM_BUILD_ROOT%{_libdir}/qt/plugins-st/network
%endif

install qssl*.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/qt/plugins-?t/network/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qt-plugin-ssl.spec,v $
Revision 1.37  2007-09-17 14:13:02  baggins
- rel 5
- resolve gcc/g++ 4.2 issue

Revision 1.36  2007/09/17 13:34:49  baggins
- rel 4

Revision 1.35  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.33  2006/11/09 20:58:11  glen
- qt epoch

Revision 1.32  2006/11/09 20:57:28  glen
- strict internal deps

Revision 1.31  2005/06/06 17:10:05  zbyniu
- BR: qmake

Revision 1.30  2004/10/24 22:49:23  paladine
- QT->Qt
- spelling fixes

Revision 1.29  2004/04/26 18:29:34  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.28  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.27  2003/12/03 11:18:44  qboosh
- new-style bcond, don't define QT_THREAD_SUPPORT for st plugin
- pass LFLAGS to avoid unneeded -rpath
- removed BR qt-static - it must have been caused by some broken package

Revision 1.26  2003/12/03 10:10:03  yoshi
- Added missing BR:  qt-static >= 3.0.5

Revision 1.25  2003/09/30 20:18:33  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.24  2003/06/19 10:29:38  deejay1
- patch gone, rel. 2

Revision 1.23  2003/06/19 00:42:27  mwinkler
- md5 after Source

Revision 1.22  2003/06/18 23:50:32  deejay1
- now builds, include patch seems obsolete, could somebody confirm it?

Revision 1.21  2003/06/18 23:19:15  leafnode
- updated to 2.0

Revision 1.20  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.19  2003/05/25 06:26:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/17 23:09:05  adgor
- Single thread as bcond
- Cleanups/simplifications
- with single Rwquires qt-st (provided by qt with st support)
- Release 5

Revision 1.17  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.16  2003/03/09 16:10:52  adgor
- Typo

Revision 1.15  2003/03/09 16:07:52  adgor
- Removed dirs owned by qt

Revision 1.14  2003/02/13 14:05:24  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.13  2003/02/06 20:31:32  krolik
- back to previous directory prefix

Revision 1.12  2003/02/06 19:49:40  krolik
- changed directry prefix for QTDIR QMAKESPEC
- STBR

Revision 1.11  2003/01/31 23:09:22  djrzulf
- changes moved to RA-branch,

Revision 1.8.2.1  2003/01/31 23:04:06  djrzulf
- updated at Ra,

Revision 1.10  2003/01/31 10:07:29  djrzulf
- redefined _prefix to /usr/X11R6 becouse doesn't build,
- now it works with qssl,
- qssl: release 5
- psi: release 2
- STBR,

Revision 1.9  2003/01/18 22:56:18  juandon
- removed two lines with define

Revision 1.8  2003/01/14 21:41:16  kloczek
- rename package s/qssl/qt-plugin-ssl/,
- simplifications in %install,
- better optimizations (added -fno-rtti -fno-exceptions to CXXFLAGS).

Revision 1.7  2002/12/27 13:25:50  mmazur
- added %__cxx awarenes

Revision 1.6  2002/12/12 14:39:47  wrobell
- devel subpackage requires the package
- adapterized
- rel. 4

Revision 1.5  2002/12/09 11:40:33  djurban
- Rel 3
- Removed versionning
- Everything that uses qssl now will requires -R$(QTDIR)/lib/qt/plugins-mt/network
  (chrpath is good when used well)

Revision 1.4  2002/12/06 23:16:48  djurban
- Separated mt/st plugins

Revision 1.3  2002/12/03 15:41:29  qboosh
- fixed file list, simplified %setup

Revision 1.2  2002/12/03 15:24:18  djurban
- cosmetics

Revision 1.1  2002/12/03 15:23:34  djurban
- Moved from psi-qssl.spec
- psi req was an absurd, it is a qt plugin
- Seprarated devel
- The lib is installed in %{_libdir}, psi should look for it there not
  in a psidir
- it is finished. Rel 1. STBR

Revision 1.1  2002/11/27 13:41:05  wiget
- initial
